Giriş Yap / Kayıt Ol
thodex

WM Aracı'na üyelikler tekrar açıldı! Kayıt olmak için TIKLAYIN!

Cevap Yaz Favorilerime Ekle
Seçenekler Stil
Geri Git   Forum > > Android Uygulama Geliştirme

Güncellemede Israrla Tamamen sınırlandırılmış APK hatası

  #1  
Okunmamış 29 Ekim 2020, 04:43
Avatar Seçilmemiş
WM Aracı
 
Üyelik Tarihi: 13 Haziran 2019
Yaş / Cinsiyet: 39 / Erkek
Meslek: Serbest
Ad, Soyad: Ce... Em...
Mesajlar: 256
Beğeniler: 99 / 43
Ticaret: 0, 0%
Tamamen sınırlandırılmış APK
Sorun:

Bu APK, daha yüksek sürüm koduna sahip bir veya daha fazla APK tarafından tamamen sınırlandırıldığı için hiçbir kullanıcıya sunulmayacak.

Çözünürlük:

Bu APK'yı sürümünüzden kaldırın veya bu sürüme eklediğiniz APK'ların hedeflemesini ve sürüm kodlarını inceleyin.

yeni sürüm kodu eskisinden büyük. ısrarla bu hatayı alıyorum. ve şuan daha önce yayınlanmış olan son sürümüm içinde aynı uyarıyı veriyor.

google da bilmediğimiz bir şeyler mi değişti? ne oluyorda yüksek sürüm koduna rağmen ısrarla bunu alıyorum. min api düzeyide değişmedi.

bu uygulama için yaptığım tek şey google play imzalamayı açmaktı. bununla alakalı sanırım çünkü başka bir şey yok. ancak yayınlanan uygulamayada bu hatayı veriyor olması düşündürücü. uygulamalar 64bit zaten. onunla alakalı olsa sanıyorum yüklerkende sorun olurdu.


compileSdkVersion 29
buildToolsVersion '29.0.3'

minSdkVersion 19
targetSdkVersion 29
versionCode 20
versionName '5.5'
multiDexEnabled true

burada sadece vesioncode + olarak ilerledi. versionname de aynı şekilde.
versiyon kodu ne yazarsam yazayım bu hatayı veriyor halbuki güncellenen son versiyonda bu sıkıntı güncelleme işlendiğinde yoktu. bu güncelleme ile birlikte son, yayında olan içinde bu hatayı veriyor. çok enteresan bir durum yahut gözümden birşey kaçıyor.


Edit:
Sorunu buldum ve çözdüm.
Eski versiyonu kaldırmadığım için bu durum oluşmuş. kaldırdığımda yükleyebildim.

Başına gelen olursa bu konuda burada dursun.
Çok enteresandır daha önce kaldırmamış olmama rağmen bu hatayı almamıştım. Bu sefer eski versiyonuda koru dediğim için bu hata karşıma çıkmış. yani versiyon koduyla bir alakası yok.
Konu AzveNet tarafından (29 Ekim 2020, 05:44 ) değiştirilmiştir.
Dahi anlamındaki "de"leri ayırmıyorum.
Cevap Yaz Favorilerime Ekle

medyacenter


Konuyu toplam 1 kişi okuyor. (0 üye ve 1 Ziyaretçi)
 
Seçenekler
Stil
Normal Normal

Geri Git   Forum > Android Uygulama Geliştirme


Yetkileriniz
Konu açma yetkiniz: Yok
Cevap Yazma Yetkiniz Yok
Eklenti yükleme yetkiniz: Yok
Mesajınızı değiştirme yetkiniz: Yok

BB code: Açık
İfadeler: Açık
[IMG] Kodları: Açık
HTML kodu: Kapalı




Tüm Zamanlar GMT +3 Olarak Ayarlanmış. Şu anki Zaman: 11:06.